Module __builtin__ :: Class object

[frames | no frames]

## Type object

Known Subclasses:
  `AboutDialogInfo`, `AcceleratorEntry`, `AlphaPixelData_Accessor`, `ArrowHead`, `ArtProvider`, `AuiDockArt`, `AuiDockInfo`, `AuiDockUIPart`, `AuiNotebookPage`, `AuiPaneButton`, `AuiPaneInfo`, `AuiTabArt`, `AuiTabContainer`, `AuiTabContainerButton`, `BusyCursor`, `CalendarDateAttr`, `Caret`, `ClipboardLocker`, `ColourDatabase`, `ComboCtrlFeatures`, `ComboPopup`, `ConfigBase`, `ConfigPathChanger`, `Constraint`, `ConstraintType`, `CPPFileSystemHandler`, `DataFormat`, `DataObject`, `DateSpan`, `DateTime`, `DCBrushChanger`, `DCClipper`, `DCOverlay`, `DCPenChanger`, `DCTextColourChanger`, `Diagram`, `Display`, `DrawOp`, `DropSource`, `DropTarget`, `EventLoop`, `EventLoopActivator`, `FileType`, `FileTypeInfo`, `FlagsFormatter`, `FontEnumerator`, `FontMapper`, `GBPosition`, `GBSpan`, `GDIObjListBase`, `GridCellAttr`, `GridCellAttrProvider`, `GridCellCoords`, `GridCellWorker`, `GridTableMessage`, `HeaderButtonParams`, `HelpProvider`, `HtmlBookRecord`, `HtmlHelpData`, `HtmlModalHelp`, `HtmlRenderingInfo`, `HtmlRenderingState`, `HtmlRenderingStyle`, `HtmlSearchStatus`, `HtmlSelection`, `HtmlWindowInterface`, `IconBundle`, `IconLocation`, `Image_HSVValue`, `Image_RGBValue`, `ImageHistogram`, `InputStream`, `InspectionMixin`, `instancemethod`, `ItemContainer`, `Joystick`, `LanguageInfo`, `ListItemAttr`, `Locale`, `Log`, `LogNull`, `MimeTypesManager`, `MouseState`, `MutexGuiLocker`, `NativeEncodingInfo`, `NativeFontInfo`, `NativePixelData_Accessor`, `Object`, `OutputStream`, `Overlay`, `PixelDataBase`, `PlatformInformation`, `Point`, `Point2D`, `PropagateOnce`, `PropagationDisabler`, `PseudoMetaFile`, `PyEventBinder`, `Quantize`, `RealPoint`, `Rect`, `Rect2D`, `RendererNative`, `RendererVersion`, `RichTextAttr`, `RichTextRange`, `ShapeEvtHandler`, `ShapeRegion`, `ShapeTextLine`, `SingleInstanceChecker`, `Size`, `Sizer`, `SizerFlags`, `Sound`, `SplitterRenderParams`, `StandardPaths`, `StockGDI`, `StopWatch`, `SystemSettings`, `TextAttr`, `TimerRunner`, `TimeSpan`, `TipProvider`, `TreeAPIHarmonizer`, `TreeHelper`, `TreeItemData`, `TreeItemId`, `type`, `VideoMode`, `VisualAttributes`, `WindowDisabler`, `XmlNode`, `XmlProperty`, `XmlSubclassFactory`

The most base type

Method Summary
| ``__init__`(...)` x.__init__(...) initializes x; see x.__class__.__doc__ for signature
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| `__hash__(x)` Return hash(x)...
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...
| ``__reduce__`(...)` helper for pickle
| ``__reduce_ex__`(...)` helper for pickle
| `__repr__(x)` Return repr(x)...
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value
| `__str__(x)` Return str(x)...

Class Variable Summary
`type` | `__class__` = `__builtin__.type`

Method Details

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

### __delattr__(...)

x.__delattr__('name') <==> del x.name

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

### __reduce__(...)

helper for pickle

### __reduce_ex__(...)

helper for pickle

### __setattr__(...)

x.__setattr__('name', value) <==> x.name = value

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:39 2007 | http://epydoc.sf.net